### Method

# Gimp DrawableFilter set_aux_input

since: 3.0

#### Declaration [src]

    void
    gimp_drawable_filter_set_aux_input (
      GimpDrawableFilter* filter,
      const gchar* input_pad_name,
      GimpDrawable* input
    )

#### Description [src]

When a filter has one or several auxiliary inputs, you can use this function to set them.

The change is not synced immediately with the core application. Use `gimp_drawable_update()` to trigger an actual update.

Available since: 3.0

#### Parameters

`input_pad_name`

  Type: `const gchar*`

  Name of the filter’s input pad.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`input`

  Type: `GimpDrawable`

  The drawable to use as auxiliary input.

  The data is owned by the caller of the method.